### Method

# Gio UnixInputStream set_close_fd

since: 2.20

#### Declaration

    void
    g_unix_input_stream_set_close_fd (
      GUnixInputStream* stream,
      gboolean close_fd
    )

#### Description

Sets whether the file descriptor of `stream` shall be closed when the stream is closed.

Available since: 2.20

Sets property | `Gio.UnixInputStream:close-fd`

#### Parameters

`close_fd`

  Type: `gboolean`

  `TRUE` to close the file descriptor when done.